<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Smstemplate extends MX_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->helper('cookie');
    }

    public function index() {
        $data = array();
        $admin_info = $this->session->userdata('adminInfo');
		$role_id = $admin_info['role_id'];
        if ($admin_info) {
			if($role_id == 1){
				$data['content'] = $this->getSmstemplates();
				$this->load->view('smstemplate/index', $data);
			}else
			{
				show_404();
			}
        } else {
            $this->load->view('login');
        }
    }

    public function getSmstemplates($filters = array()) {
        $this->load->helper('pagging');
        $this->load->model('Smstemplate_model');
        $data['current_page'] = $this->uri->segment(4, 1);
        $data['itemsoptions'] = array(10, 25, 50, 100);
        $data['perpage'] = 10;
        $data['keyword'] = "";
        $data['sorting_order']="sorting_desc";
        $data['sorting_field']="sms_id";
        
        if ($this->input->post('sorting_order')) {
            if ($this->input->post('sorting_order') != "sorting")
            {
               $data['sorting_order']=$this->input->post('sorting_order');
               $data['sorting_field']=$this->input->post('sorting_field'); 
            }
        }
        if ($this->input->post('items')) {
            $data['perpage'] = $this->input->post('items');
        }
        if ($this->input->post('keyword')) {
            $data['search_field']="";
            $data['keyword'] = $this->input->post('keyword');
            
            if (preg_match("/[0-9]/", $data['keyword']))
            {
               $data['search_field']="cellphone"; 
            }
            
        }
        
        $data['start'] = ($data['current_page'] - 1) * $data['perpage'];
        $data['total'] = $this->Smstemplate_model->countSmstemplate($data);  
       
        $data['smstemplates'] = $this->Smstemplate_model->getSmstemplates($data);
        
        $data['paging_url'] = base_url() . "/admin/mau_tin_nhan/trang/";
        $data['num_links'] = 2;
        $data['paging'] = pagging($data);

        if ($this->input->is_ajax_request()) {
            return $this->load->view('smstemplate/listview', $data);
        }
        return $this->load->view('smstemplate/listview', $data, true);
    }

    public function addSmstemplate() {
        $result['success'] = 0;
        $result = array();
        $input = $this->input->post();
        $this->load->model('Smstemplate_model');
        if (strlen($input['sms_content'])==0)
        {
            $result['errors'][]=array("content"=>"Nội dung tin nhắn không được để trống","field"=>"sms_content");
        }
        if (strlen($input['sms_reply'])==0)
        {
            $result['errors'][]=array("content"=>"Tin nhắn trả về không được để trống","field"=>"sms_reply");
        }
        else
        {
            /*
            if ($this->Smstemplate_model->isExist(array('field'=>'login_name','value'=>$input['login_name'],'id'=>$input['id'])))
            {
                $result['errors'][]="Tên đăng nhập đã được sử dụng";
            }
             * 
             */
        }
        if (strlen($input['commandcode'])==0)
        {
            $result['errors'][]=array("content"=>"Command code không được để trống","field"=>"commandcode");
        }
        if (strlen($input['service_id'])==0)
        {
            $result['errors'][]=array("content"=>"Service id không được để trống","field"=>"service_id");
        }
        else
        {
            /*
            if ($this->Smstemplate_model->isExist(array('field'=>'cellphone','value'=>$input['cellphone'],'id'=>$input['id'])))
            {
                $result['errors'][]="Số điện thoại đã được sử dụng";
            }
             * 
             */
        }
        if (!isset($result['errors']))
        {
            $this->load->model('Smstemplate_model');
            $this->Smstemplate_model->insert($input);
            $result['success'] = 1;
        }

        
        echo json_encode($result);
    }
    public function viewSms()
    {
        $id=$this->uri->segment(4);
        $this->load->model('Smstemplate_model');
        $data=$this->Smstemplate_model->getSmstemplate($id);
        $this->load->view('smstemplate/viewSms',$data);
    }
    public function editSms()
    {
        $id=$this->uri->segment(4);
        $this->load->model('Smstemplate_model');
        $data=$this->Smstemplate_model->getSmstemplate($id);
        $this->load->view('smstemplate/editSms',$data);
    }
    public function dodeleteSms()
    {
        $input=$this->input->post();
        $id=$input['sms_id'];
        $this->load->model('Smstemplate_model');
        $data=$this->Smstemplate_model->delete($id);
        $result['success']=1;
        echo json_encode($result);
    }
    public function deleteSms()
    {
        $id=$this->uri->segment(4);
        $this->load->model('Smstemplate_model');
        $data=$this->Smstemplate_model->getSmstemplate($id);
        $this->load->view('smstemplate/deleteSms',$data);
    }
    public function updateSms()
    {
       
        $input=  $this->input->post();
        $this->load->model('Smstemplate_model');
        if (strlen($input['sms_content'])==0)
        {
            $result['errors'][]="Nội dung tin nhắn không được để trống";
        }
        if (strlen($input['sms_reply'])==0)
        {
            $result['errors'][]="Tin nhắn trả về không được để trống";
        }
        else
        {
            /*
            if ($this->Smstemplate_model->isExist(array('field'=>'login_name','value'=>$input['login_name'],'id'=>$input['id'])))
            {
                $result['errors'][]="Tên đăng nhập đã được sử dụng";
            }
             * 
             */
        }
        if (strlen($input['service_id'])==0)
        {
            $result['errors'][]="Mã dịch vụ không được để trống";
        }
        else
        {
            /*
            if ($this->Smstemplate_model->isExist(array('field'=>'cellphone','value'=>$input['cellphone'],'id'=>$input['id'])))
            {
                $result['errors'][]="Số điện thoại đã được sử dụng";
            }
             * 
             */
        }
        
        if (!isset($result['errors']))
        { 
            $this->load->model('Smstemplate_model');
            $this->Smstemplate_model->update($input['sms_id'],$input);
            $result['success'] = 1;
        }
        echo json_encode($result);
    }
    public function test() {
        
       
        for ($i = 1; $i <= 50; $i++) {
            $input['sms_content']="Chuc mung {full_name} da dang ky thanh cong".$i;
            $input['sms_reply']="sms reply".$i;
            $input['service_id']=$i;
            $input['commandcode']="commandcode".$i;
            $this->load->model('Smstemplate_model');
            $this->Smstemplate_model->insert($input);
        }
    }

}
